class parametersClass():
    # useful class for listing, setting and getting attributes of daughter classes
    # this allows looping over attributes using strings

    # Methods
    # ‾‾‾‾‾‾‾
    # has(key)
    #    checking if a class has a given attribute
    # getValue(key)
    #    getting an attribute
    # setValue(key, value)
    #    sets an attribute to a certain value
    # reset()
    #    calls the init function to reset the class, works iffy
    # list()
    #    lists all attribute names in the class in order of creation
    # methods()
    #    lists all method names in the class in order of creation
    # values()
    #    lists all values in the class in order of creation
    def has(self, key):
        return hasattr(self, key)

    def getValue(self, key):
        if self.has(key):
            return getattr(self, key)
        else:
            return None

    def setValue(self, key, value):
        setattr(self, key, value)

    def reset(self):
        self.__init__()

    def list(self):
        return [s for s in vars(self) if not (s.startswith('__') or callable(self.getValue(s)))]

    def methods(self):
        return [s for s in dir(self) if callable(self.getValue(s)) and (s.startswith('__') is False)]

    def values(self):
        content = []
        for attr in self.list():
            content.append(self.getValue(attr))
        return content